SDL_WriteSurfacePixelFloat(3)

NAME
SDL_WriteSurfacePixelFloat - Writes a single pixel to a surface.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_WriteSurfacePixelFloat(SDL_Surface *surface, int x, int y, float r, float g, float b, float a);

DESCRIPTION
This function prioritizes correctness over speed: it is suitable for unit tests, but is not intended for use in a game engine.

FUNCTION PARAMETERS

surface
    the surface to write.

x   the horizontal coordinate, 0 <= x < width.

y   the vertical coordinate, 0 <= y < height.

r   the red channel value, normally in the range 0-1.

g   the green channel value, normally in the range 0-1.

b   the blue channel value, normally in the range 0-1.

a   the alpha channel value, normally in the range 0-1.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.